# onyx_lldp – Manage LLDP configuration on Mellanox ONYX network devices

New in version 2.5.

- Synopsis

- Parameters

- Examples

- Return Values

- Status

## Synopsis

- This module provides declarative management of LLDP service configuration on Mellanox ONYX network devices.

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---

state
-

Choices:
- present ←
- absent

State of the LLDP protocol configuration.

## Examples

    - name: Enable LLDP protocol
      onyx_lldp:
        state: present

    - name: Disable LLDP protocol
      onyx_lldp:
        state: lldp

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
commands list | always. | The list of configuration mode commands to send to the device Sample: ['lldp']

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]

- This module is maintained by the Ansible Community. [community]

### Authors

- Samer Deeb (@samerd)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.